const dateFilters = require('./dates');
const arrayFilters = require('./arrays');
const excerptFilter = require('./excerpt');

module.exports = function(eleventyConfig) {
    eleventyConfig.addPlugin(dateFilters);
    eleventyConfig.addPlugin(arrayFilters);
    eleventyConfig.addPlugin(excerptFilter);

    eleventyConfig.addFilter('keys', obj => Object.keys(obj))
    eleventyConfig.addFilter('json', obj => JSON.stringify(obj, null, 2));
}